Skip to Content
veriom

Request export

POST
/v1/workspaces/{workspace_id}/reports/{report_id}/exports

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
report_id*Report Id
Formatuuid

Header Parameters

Idempotency-Key*Idempotency-Key

Request Body

application/json
  1. body
format*Format
Value in"json""markdown""docx""pdf""sarif"

Response Body

Successful Response

application/json
  1. response
created_at*Created At
Formatdate-time
download_url?string|null
error_code*string|null
format*Format
id*Id
Formatuuid
object_key*string|null
report_id*Report Id
Formatuuid
sha256*string|null
status*Status
Example Request
curl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/reports/497f6eca-6276-4993-bfeb-53cbbbba6f08/exports' \  -H 'Idempotency-Key: string' \  -H 'Content-Type: application/json' \  -d '{  "format": "json"}'
Example Response
{  "created_at": "2019-08-24T14:15:22Z",  "download_url": "string",  "error_code": "string",  "format": "string",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "object_key": "string",  "report_id": "5ed7905a-4735-4cf7-b1ab-521e066fb971",  "sha256": "string",  "status": "string"}